import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:hoshan/core/gen/assets.gen.dart';
import 'package:hoshan/ui/theme/colors.dart';
import 'package:hoshan/ui/theme/cubit/theme_mode_cubit.dart';
import 'package:hoshan/ui/theme/responsive.dart';
import 'package:hoshan/ui/theme/text.dart';
import 'package:hoshan/ui/widgets/components/button/loading_button.dart';
import 'package:hoshan/ui/widgets/components/dialog/bottom_sheets.dart';
import 'package:hoshan/ui/widgets/sections/header/reversible_appbar.dart';

class IncomePage extends StatelessWidget {
  const IncomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: ReversibleAppbar(
        context,
        titleText: 'راهنمای فعال سازی درآمد',
      ),
      body: Responsive(context).maxWidthInDesktop(
        child: (contxet, maxWidth) => SingleChildScrollView(
          physics: const BouncingScrollPhysics(),
          child: Directionality(
            textDirection: TextDirection.rtl,
            child: Theme(
              data: Theme.of(context).copyWith(
                  listTileTheme: Theme.of(context).listTileTheme.copyWith(
                      subtitleTextStyle: AppTextStyles.body4.copyWith(
                          color: AppColors.gray[
                              context.read<ThemeModeCubit>().isDark()
                                  ? 600
                                  : 900]),
                      titleTextStyle: AppTextStyles.body3.copyWith(
                          fontWeight: FontWeight.bold,
                          color: Theme.of(context).colorScheme.primary))),
              child: Padding(
                padding:
                    const EdgeInsets.symmetric(horizontal: 16, vertical: 24),
                child: Column(
                  children: [
                    const ListTile(
                      title: Text('راهنمای ساخت دستیار و کسب درآمد:'),
                      subtitle: Text(
                        'آیا می‌دانستید می‌توانید با ساخت یک دستیار یا بات هوش مصنوعی و به اشتراک گذاشتن آن با دیگر کاربران، به درآمد برسید؟',
                        textAlign: TextAlign.justify,
                      ),
                    ),
                    const SizedBox(
                      height: 8,
                    ),
                    const ListTile(
                      title: Text('نحوه کار:'),
                      subtitle: Text(
                        '1. دستیار یا بات هوش مصنوعی موردنظر خود را طراحی و فعال کنید.\n2. کاربران دیگر بسته به نیاز خود، از دستیار شما استفاده خواهند کرد.\n3. بر اساس فرمول خاصی درآمد شما محاسبه خواهد شد.\n4. درآمد شما در پایان هر ماه به‌صورت نقدی به کارت بانکی شما واریز می‌شود. ',
                        textAlign: TextAlign.justify,
                      ),
                    ),
                    const SizedBox(
                      height: 16,
                    ),
                    LoadingButton(
                        onPressed: () async {
                          await BottomSheetHandler(context).showIncomeFormula();
                        },
                        color: AppColors.primaryColor.defaultShade,
                        height: 48,
                        radius: 12,
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Assets.icon.outline.emptyWallet.svg(),
                            const SizedBox(
                              width: 8,
                            ),
                            Text(
                              'فرمول محاسبه درآمد از طریق ساخت دستیار',
                              style: AppTextStyles.body4
                                  .copyWith(color: Colors.white),
                            ),
                          ],
                        )),
                    const SizedBox(
                      height: 16,
                    ),
                    const ListTile(
                      title: Text('چرا این فرصت عالی است؟'),
                      subtitle: Text(
                        '\u2022 مهارت خود را در ساخت بات‌های هوشمند نشان دهید.\n\u2022 به دیگران کمک کنید تجربه بهتری با هوش مصنوعی داشته باشند.\n\u2022 یک منبع درآمد منظم و جذاب برای خود ایجاد کنید.',
                        textAlign: TextAlign.justify,
                      ),
                    ),
                    const SizedBox(
                      height: 8,
                    ),
                    const ListTile(
                      title: Text('تکمیل مشخصات برای دریافت درآمد:'),
                      subtitle: Text(
                        'برای اینکه بتوانیم درآمد شما را به‌موقع واریز کنیم، لازم است مشخصات خود را تکمیل کنید. این کار فقط چند دقیقه زمان می‌برد!',
                        textAlign: TextAlign.justify,
                      ),
                    ),
                    const SizedBox(
                      height: 8,
                    ),
                    const Divider(),
                    const SizedBox(
                      height: 8,
                    ),
                    Assets.image.incomeSteps.image(
                        width: Responsive(context).isMobile()
                            ? MediaQuery.sizeOf(context).width
                            : 500,
                        fit: BoxFit.cover),
                    const SizedBox(
                      height: 8,
                    ),
                    const Divider(),
                    const SizedBox(
                      height: 8,
                    ),
                    Text(
                      'منتظر چی هستید؟ همین حالا شروع کنید،\nدستیار هوش مصنوعی بسازید و درآمد کسب کنید!',
                      style: AppTextStyles.body4.copyWith(
                        color: AppColors.red.defaultShade,
                        fontWeight: FontWeight.bold,
                      ),
                      textAlign: TextAlign.center,
                    )
                  ],
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
